## etckeeper 1.18.12

=== Makefile ===
# You should configure etckeeper.conf for your distribution before
# installing etckeeper.
CONFFILE=etckeeper.conf
include $(CONFFILE)

DESTDIR?=
prefix=/usr
bindir=${prefix}/bin
etcdir=/etc
mandir=${prefix}/share/man
vardir=/var
systemddir=/lib/systemd/system
completiondir=${prefix}/share/bash-completion/completions
CP=cp -R
INSTALL=install 
INSTALL_EXE=${INSTALL}
INSTALL_DATA=${INSTALL} -m 0644
PYTHON=python
FAKEROOT := $(shell command -v fakeroot 2> /dev/null)
TESTDIR := $(shell mktemp -u -d)

build: etckeeper.spec etckeeper.version
	-$(PYTHON) ./etckeeper-bzr/__init__.py build || echo "** bzr support not built"
	-$(PYTHON) ./etckeeper-dnf/etckeeper.py build || echo "** DNF support not built"

install: etckeeper.version
	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
	$(CP) *.d $(DESTDIR)$(etcdir)/etckeeper/
	$(INSTALL_EXE) daily $(DESTDIR)$(etcdir)/etckeeper/daily
	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
	mkdir -p $(DESTDIR)$(mandir)/man8
	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
	mkdir -p $(DESTDIR)$(completiondir)
	$(INSTALL_DATA) bash_completion $(DESTDIR)$(completiondir)/etckeeper
	mkdir -p $(DESTDIR)$(systemddir)
	$(INSTALL_DATA) systemd/etckeeper.service $(DESTDIR)$(systemddir)/etckeeper.service
	$(INSTALL_DATA) systemd/etckeeper.timer $(DESTDIR)$(systemddir)/etckeeper.timer
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
	mkdir -p $(DESTDIR)$(etcdir)/apt/apt.conf.d
	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
	mkdir -p $(DESTDIR)$(etcdir)/cruft/filters-unex
	$(INSTALL_DATA) cruft_filter $(DESTDIR)$(etcdir)/cruft/filters-unex/etckeeper
endif
ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman)
	mkdir -p $(DESTDIR)$(prefix)/share/libalpm/hooks
	$(INSTALL_DATA) ./pacman-pre-install.hook $(DESTDIR)$(prefix)/share/libalpm/hooks/05-etckeeper-pre-install.hook
	$(INSTALL_DATA) ./pacman-post-install.hook $(DESTDIR)$(prefix)/share/libalpm/hooks/zz-etckeeper-post-install.hook
endif
ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
	mkdir -p $(DESTDIR)$(etcdir)/pacman-g2/hooks
	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
endif
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),yum)
	mkdir -p $(DESTDIR)$(prefix)/lib/yum-plugins
	$(INSTALL_DATA) yum-etckeeper.py $(DESTDIR)$(prefix)/lib/yum-plugins/etckeeper.py
	mkdir -p $(DESTDIR)$(etcdir)/yum/pluginconf.d
	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
endif
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),dnf)
	-$(PYTHON) ./etckeeper-dnf/etckeeper.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** DNF support not installed"
endif
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),zypper)
	mkdir -p $(DESTDIR)$(prefix)/lib/zypp/plugins/commit
	$(INSTALL) zypper-etckeeper.py $(DESTDIR)$(prefix)/lib/zypp/plugins/commit/zypper-etckeeper.py
endif
	-$(PYTHON) ./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
	echo "** installation successful"

clean: etckeeper.spec etckeeper.version
	rm -rf build

test:
	mkdir $(TESTDIR)
ifdef FAKEROOT
	testdir=$(TESTDIR) fakeroot ./test-etckeeper
else
	testdir=$(TESTDIR) ./test-etckeeper
endif
	rm -rf $(TESTDIR)

etckeeper.spec:
	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;'<debian/changelog)/" etckeeper.spec
	rm -f etckeeper.spec~

etckeeper.version:
	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;' <debian/changelog)\"/" etckeeper
	rm -f etckeeper~

.PHONY: etckeeper.spec etckeeper.version

=== debian/changelog ===
etckeeper (1.18.12-1.1ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 12:24:10 +0200

etckeeper (1.18.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix-sh-syntax.diff: new (Closes: #946055)
    - reimplements -mmessage from 1.18.11 in portable shell
    - fixes potential bugs with messages starting with hyphen-minus
      (in particular -n, -c) and containing backslashes

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 18 Dec 2019 20:11:25 +0100

etckeeper (1.18.12-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream release.
  * remove explicit Python dependency (Closes: #921447)

  [ Nicolas Braud-Santoni ]
  * debian/control: Point Vcs-Git to the correct branch (Closes: #942409)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 01 Dec 2019 15:08:30 -0500

etckeeper (1.18.12) unstable; urgency=medium

  * Fix bug in hostname determination in the previous release.
    Thanks, Christian Hesse

 -- Joey Hess <id@joeyh.name>  Fri, 29 Nov 2019 11:42:34 -0400

etckeeper (1.18.11) unstable; urgency=medium

  * Support platforms without a hostname command, fall back to 
    reading /etc/hostname.
    Thanks, Chris Morgan
  * commit: Support -mmessage, without a space, since eg git commit
    can be used that way.
    Thanks, martin f. krafft
  * commit: When multiple parameters are given, use them all as the commit
    message, instead of the old behavior of only using the first parameter and
    throwing the rest away.
    Thanks, martin f. krafft

 -- Joey Hess <id@joeyh.name>  Thu, 28 Nov 2019 18:14:46 -0400

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 11),
               bats,
               bzr (>= 1.5~),
               dh-python,
               dpkg-dev (>= 1.9.0),
               fakeroot,
               git,
               python3,
Maintainer: Antoine Beaupré <anarcat@debian.org>
Standards-Version: 4.3.0
Vcs-Git: https://git.joeyh.name/git/etckeeper.git -b debian
Vcs-Browser: https://git.joeyh.name/index.cgi/etckeeper.git/
Homepage: https://etckeeper.branchable.com/

Package: etckeeper
Architecture: all
Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs,
         ${misc:Depends},
Recommends: cron-daemon
Suggests: sudo (>= 1.7.4p4)
Conflicts: bzr (<< 1.5~)
Description: store /etc in git, mercurial, bzr or darcs
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 bzr or darcs repository. It hooks into APT to automatically commit changes
 made to /etc during package upgrades. It tracks file metadata that version
 control systems do not normally support, but that is important for /etc, such
 as the permissions of /etc/shadow. It's quite modular and configurable, while
 also being simple to use if you understand the basics of working with version
 control.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON_INSTALL_OPTS=--install-layout=deb

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -X.gitignore

## etckeeper 1.18.14

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 mandir=${prefix}/share/man
 vardir=/var
 systemddir=/lib/systemd/system
-completiondir=${prefix}/share/bash-completion/completions
+bashcompletiondir=${prefix}/share/bash-completion/completions
+zshcompletiondir=${prefix}/share/zsh/vendor-completions
 CP=cp -R
 INSTALL=install 
 INSTALL_EXE=${INSTALL}
@@ -32,8 +33,10 @@
 	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
 	mkdir -p $(DESTDIR)$(mandir)/man8
 	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
-	mkdir -p $(DESTDIR)$(completiondir)
-	$(INSTALL_DATA) bash_completion $(DESTDIR)$(completiondir)/etckeeper
+	mkdir -p $(DESTDIR)$(bashcompletiondir)
+	$(INSTALL_DATA) bash_completion $(DESTDIR)$(bashcompletiondir)/etckeeper
+	mkdir -p $(DESTDIR)$(zshcompletiondir)
+	$(INSTALL_DATA) zsh_completion $(DESTDIR)$(zshcompletiondir)/_etckeeper
 	mkdir -p $(DESTDIR)$(systemddir)
 	$(INSTALL_DATA) systemd/etckeeper.service $(DESTDIR)$(systemddir)/etckeeper.service
 	$(INSTALL_DATA) systemd/etckeeper.timer $(DESTDIR)$(systemddir)/etckeeper.timer

=== debian/changelog ===
etckeeper (1.18.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Jul 2020 06:55:39 +0200

etckeeper (1.18.14-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream release (Closes: #884987)
  * debian/patches/fix-sh-syntax.diff: drop, merged in 1.18.13
  * merge NMU 1.18.10-1.1 I forgot, below

  [ Mattia Rizzolo ]
  * Import patches from Ubuntu (Closes: #928177):
    + Use a UTF-8 encoding, to ensure stable sorting.
    + Add a Breezy plugin, using Python3.
  * Replace bzr dependencies with brz (bzr is now a transitional package).
  * d/control:
    + Bump Standards-Version to 4.4.1, no changes needed.
    + Set Rules-Requires-Root: no.
    + Drop Conflicts against a very old version of bzr.
    + Drop version requirements against very old versions, all satisfied
      in oldoldstable.
    + Bump debhelper compat level to 12.
  * Build using Python3 instead of Python2 (Closes: #811180, #921447)
    (This stops installing the bzr plugin, instead installing the brz one).

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 04 May 2020 13:32:38 -0400

etckeeper (1.18.14) unstable; urgency=medium

  * pacman 5.2 deprecated File hooks, use Path.
    Thanks, Christian Hesse
  * Fix vcs subcommand setup for zsh completion.
    Thanks, James Rowe.

 -- Joey Hess <id@joeyh.name>  Wed, 22 Jan 2020 09:59:04 -0400

etckeeper (1.18.13) unstable; urgency=medium

  * Added zsh completion.
    Thanks, James Rowe
  * commit: Recent changes added code that does not work on all POSIX shells.
    Fixed by Thorsten Glaser.

 -- Joey Hess <id@joeyh.name>  Fri, 20 Dec 2019 16:19:09 -0400

etckeeper (1.18.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import patches from Ubuntu (Closes: #928177):
    + Use a UTF-8 encoding, to ensure stable sorting.
    + Add a Breezy plugin, using Python3.
  * Replace bzr dependencies with brz (bzr is now a transitional package).
  * d/control:
    + Bump Standards-Version to 4.4.1, no changes needed.
    + Set Rules-Requires-Root: no.
    + Drop Conflicts against a very old version of bzr.
    + Drop version requirements against very old versions, all satisfied
      in oldoldstable.
    + Bump debhelper compat level to 12.
  * Build using Python3 instead of Python2 (Closes: #811180, #921447)
    (This stops installing the bzr plugin, instead installing the brz one).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 28 Oct 2019 14:06:44 +0100

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 12),
               bats,
               brz,
               dh-python,
               fakeroot,
               git,
               python3:any,
Maintainer: Antoine Beaupré <anarcat@debian.org>
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://git.joeyh.name/git/etckeeper.git -b debian
Vcs-Browser: https://git.joeyh.name/index.cgi/etckeeper.git/
Homepage: https://etckeeper.branchable.com/

Package: etckeeper
Architecture: all
Depends: git | mercurial | brz | darcs,
         ${misc:Depends},
         ${python3:Depends},
Recommends: cron-daemon
Suggests: sudo
Description: store /etc in git, mercurial, brz or darcs
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 brz or darcs repository. It hooks into APT to automatically commit changes
 made to /etc during package upgrades. It tracks file metadata that version
 control systems do not normally support, but that is important for /etc, such
 as the permissions of /etc/shadow. It's quite modular and configurable, while
 also being simple to use if you understand the basics of working with version
 control.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON_INSTALL_OPTS=--install-layout=deb

%:
	dh $@ --with python3

override_dh_installdocs:
	dh_installdocs -X.gitignore

override_dh_auto_install:
	dh_auto_install
	find debian/etckeeper -name '__pycache__' -print0 | xargs -0 -r rm -rv
	find debian/etckeeper -name '*.pyc' -print0 | xargs -0 -r rm -rv

## etckeeper 1.18.16

=== Makefile ===
--- 
+++ 
@@ -84,11 +84,11 @@
 	rm -rf $(TESTDIR)
 
 etckeeper.spec:
-	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;'<debian/changelog)/" etckeeper.spec
+	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;'<CHANGELOG)/" etckeeper.spec
 	rm -f etckeeper.spec~
 
 etckeeper.version:
-	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;' <debian/changelog)\"/" etckeeper
+	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;' <CHANGELOG)\"/" etckeeper
 	rm -f etckeeper~
 
 .PHONY: etckeeper.spec etckeeper.version

=== debian/changelog ===
etckeeper (1.18.16-1) unstable; urgency=medium

  * new upstream release
  * move Debian package hosting to salsa

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 16:52:14 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                bats,
-               brz,
+               bzr,
                dh-python,
                fakeroot,
                git,
@@ -11,8 +11,8 @@
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Vcs-Git: https://git.joeyh.name/git/etckeeper.git -b debian
-Vcs-Browser: https://git.joeyh.name/index.cgi/etckeeper.git/
+Vcs-Git: https://salsa.debian.org/debian/etckeeper.git
+Vcs-Browser: https://salsa.debian.org/debian/etckeeper
 Homepage: https://etckeeper.branchable.com/
 
 Package: etckeeper

## etckeeper 1.18.17

=== debian/changelog ===
etckeeper (1.18.17-1) unstable; urgency=medium

  * new upstream release
  * drop forced Python dependency (#984832)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 31 Mar 2022 11:48:25 -0400

## etckeeper 1.18.18

=== debian/changelog ===
etckeeper (1.18.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:02:37 +0200

etckeeper (1.18.18-1) unstable; urgency=medium

  * new upstream release (Closes: #1019319)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 08 Sep 2022 13:13:59 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Architecture: all
 Depends: git | mercurial | brz | darcs,
          ${misc:Depends},
-         ${python3:Depends},
 Recommends: cron-daemon
 Suggests: sudo
 Description: store /etc in git, mercurial, brz or darcs

## etckeeper 1.18.20

=== debian/changelog ===
etckeeper (1.18.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 14:53:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: etckeeper
 Section: admin
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                bats,
                bzr,
                dh-python,
@@ -9,7 +9,7 @@
                git,
                python3:any,
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/etckeeper.git
 Vcs-Browser: https://salsa.debian.org/debian/etckeeper

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" https://git.joeyh.name/git/etckeeper.git \
refs/tags/([\d\.]+) debian uupdate

## etckeeper 1.18.21

=== debian/changelog ===
etckeeper (1.18.21-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 10 Jan 2024 13:46:20 -0500

etckeeper (1.18.20-2) unstable; urgency=medium

  [ Sven Joachim ]
  * Build-depend on dh-sequence-movetousr (Closes: #1060392)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 10 Jan 2024 12:16:30 -0500

etckeeper (1.18.20-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Replace transitional Build-Depends: bzr with brz (Closes: #1058894)

 -- Bastian Germann <bage@debian.org>  Sun, 17 Dec 2023 22:15:13 +0100

## etckeeper 1.18.22

=== debian/changelog ===
etckeeper (1.18.22-2) unstable; urgency=medium

  [ mitchdz ]
  * etckeeper.conf: add --quiet to BZR_COMMIT_OPTIONS (Closes: #1018874)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1101647)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Mar 2025 17:45:17 -0400

etckeeper (1.18.22-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * new upstream release

  [ Niels Thykier ] 
  * Mark `fakeroot` as a test-only build-dependency

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 22 Dec 2024 14:35:27 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                bats,
-               bzr,
+               brz,
                dh-python,
-               fakeroot,
+               dh-sequence-movetousr,
+               fakeroot <!nocheck>,
                git,
                python3:any,
 Maintainer: Antoine Beaupré <anarcat@debian.org>
@@ -19,6 +20,7 @@
 Architecture: all
 Depends: git | mercurial | brz | darcs,
          ${misc:Depends},
+         ${python3:Depends},
 Recommends: cron-daemon
 Suggests: sudo
 Description: store /etc in git, mercurial, brz or darcs

## etckeeper 1.18.23

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
 	mkdir -p $(DESTDIR)$(etcdir)/cruft/filters-unex
 	$(INSTALL_DATA) cruft_filter $(DESTDIR)$(etcdir)/cruft/filters-unex/etckeeper
+	mkdir -p $(DESTDIR)$(etcdir)/cron.daily
+	$(INSTALL_EXE) cron.daily $(DESTDIR)$(etcdir)/cron.daily/etckeeper
 endif
 ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman)
 	mkdir -p $(DESTDIR)$(prefix)/share/libalpm/hooks

=== debian/changelog ===
etckeeper (1.18.23-2) unstable; urgency=medium

  * add build-dep on python-is-python3 (Closes: #1113847)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 03 Sep 2025 10:46:44 -0400

etckeeper (1.18.23-1) unstable; urgency=medium

  * new upstream release (Closes: #884824)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 18 Aug 2025 12:13:42 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                fakeroot <!nocheck>,
                git,
                python3:any,
+               python-is-python3,
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/etckeeper -name '__pycache__' -print0 | xargs -0 -r rm -rv
-	find debian/etckeeper -name '*.pyc' -print0 | xargs -0 -r rm -rv
